// usestack.cpp
// Glenn G. Chappell
// 26 Nov 2013
//
// For CS 202 Fall 2013
// Example using std::stack

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <stack>
using std::stack;


int main()
{
    cout << "Demo of Stack (LIFO structure)" << endl;
    cout << endl;

    stack<int> s;  // Stack of ints

    cout << "Pushing: 3, 2, 5, 1" << endl;
    s.push(3);
    s.push(2);
    s.push(5);
    s.push(1);

    cout << "Top/pop: " << s.top() << endl;
    s.pop();
    cout << "Top/pop: " << s.top() << endl;
    s.pop();

    cout << "Pushing: 7, 8" << endl;
    s.push(7);
    s.push(8);

    cout << "Top/pop: " << s.top() << endl;
    s.pop();
    cout << "Top/pop: " << s.top() << endl;
    s.pop();

    cout << "Top/pop: " << s.top() << endl;
    s.pop();
    cout << "Top/pop: " << s.top() << endl;
    s.pop();

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

